Skip to main content
PATCH
/
matters
/
{matterId}
/
billingconfiguration
Patch matter billing configuration
curl --request PATCH \
  --url https://api.smokeball.com/matters/{matterId}/billingconfiguration \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json-patch+json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "billingType": 1,
  "amount": 142.31,
  "contingencyAmount": 32,
  "disbursementAmount": 520.67,
  "debtorIds": [
    "<string>"
  ],
  "isUtbmsEnabled": true,
  "ledesFirmId": "100558",
  "ledesMatterId": "100558",
  "ledesClientMatterId": "100558",
  "ledesTimekeeperClassificationType": 0,
  "rateSetId": "100558"
}
'
import requests

url = "https://api.smokeball.com/matters/{matterId}/billingconfiguration"

payload = {
"billingType": 1,
"amount": 142.31,
"contingencyAmount": 32,
"disbursementAmount": 520.67,
"debtorIds": ["<string>"],
"isUtbmsEnabled": True,
"ledesFirmId": "100558",
"ledesMatterId": "100558",
"ledesClientMatterId": "100558",
"ledesTimekeeperClassificationType": 0,
"rateSetId": "100558"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
billingType: 1,
amount: 142.31,
contingencyAmount: 32,
disbursementAmount: 520.67,
debtorIds: ['<string>'],
isUtbmsEnabled: true,
ledesFirmId: '100558',
ledesMatterId: '100558',
ledesClientMatterId: '100558',
ledesTimekeeperClassificationType: 0,
rateSetId: '100558'
})
};

fetch('https://api.smokeball.com/matters/{matterId}/billingconfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required

Body

billingType
enum<integer>

The billing type.

Possible values: None = 0, Fixed Fee = 1, Fixed Fee per Appearance = 2, Time Based = 3, Contingency Dollars = 4, Contingency Percent = 5, Not Billable = 6, ConditionalFeeAgreement = 7

Available options:
0,
1,
2,
3,
4,
5,
6,
7
Example:

1

amount
number<double>

The amount (currency).

Only applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance', 'Contingency ($)' or 'Time Based'.

Example:

142.31

contingencyAmount
number<double>

The contingency amount (percentage).

Only applicable when BillingType is 'Contingency Percent'.

Example:

32

disbursementAmount
number<double>

The disbursement amount (currency).

Only applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance', 'Contingency ($)' or 'Time Based'.

Only supported in the UK.

Example:

520.67

debtorIds
string[] | null

The matter debtors. Must be valid contact id(s) and a maximum of 3 debtors can be set.

isUtbmsEnabled
boolean

True if Uniform Task Based Management (UTBMS) is enabled for this matter.

Only supported in the US.

Example:

true

ledesFirmId
string | null

The associated Legal Electronic Data Exchange Standard (LEDES) firm.

Only supported in the US.

Example:

"100558"

ledesMatterId
string | null

The associated Legal Electronic Data Exchange Standard (LEDES) matter.

Only supported in the US.

Example:

"100558"

ledesClientMatterId
string | null

The associated Legal Electronic Data Exchange Standard (LEDES) client matter.

Only supported in the US.

Example:

"100558"

ledesTimekeeperClassificationType
enum<integer>

The associated Legal Electronic Data Exchange Standard (LEDES) classification type.

Possible values: Length6 = 0, Length2 = 1, UseFirmDefault = 2.

Only supported in the US.

Available options:
0,
1,
2
Example:

0

rateSetId
string | null

The RateSet Id.

Only supported in the UK.

Example:

"100558"

Response

When request is accepted. Returns a hypermedia 'Link' object of the billing configuration to be patched.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET